Skip to main content
GET
/
v1
/
checkouts
List
curl --request GET \
  --url https://{defaultHost}/v1/checkouts \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{defaultHost}/v1/checkouts"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{defaultHost}/v1/checkouts', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "object": "list",
  "pagination": {
    "count": 1,
    "limit": 20,
    "page": 1,
    "url": "/v1/checkouts"
  },
  "data": [
    {
      "id": "eee6ab00-bad9-4ab7-bf0f-fb17f8ce735c",
      "object": "checkout",
      "abandoned_checkout_enabled": true,
      "amount_due": 2900,
      "applied_balance_amount": 0,
      "available_countries": [],
      "billing_matches_shipping": true,
      "checkout_fees_amount": 0,
      "credited_balance_amount": 0,
      "currency": "usd",
      "discount_amount": 0,
      "email": "customer@example.com",
      "external_url": null,
      "first_name": null,
      "free_shipping_choice_shortage_amount": null,
      "full_amount": 2900,
      "group_key": null,
      "inherited_email": "customer@example.com",
      "inherited_name": null,
      "inherited_phone": null,
      "ip_address": null,
      "last_name": null,
      "live_mode": true,
      "manual_payment": false,
      "metadata": {},
      "name": null,
      "net_paid_amount": 0,
      "paid_amount": 0,
      "g_weight": 0,
      "latitude": null,
      "longitude": null,
      "paid_at": null,
      "payment_method_required": true,
      "phone_required": false,
      "portal_url": "http://app.example.com/portal_redirect/checkouts/eee6ab00-bad9-4ab7-bf0f-fb17f8ce735c",
      "phone": null,
      "proration_amount": 0,
      "refunded_amount": 0,
      "remaining_amount_due": 2900,
      "reusable_payment_method_required": false,
      "selected_shipping_choice_required": false,
      "shipping_address_accuracy_requirement": "none",
      "shipping_amount": 0,
      "shipping_enabled": false,
      "shipping_fees_amount": 0,
      "shipping_tax_amount": 0,
      "shipping_tax_rate": 0,
      "status": "draft",
      "subtotal_amount": 2900,
      "tax_amount": 0,
      "tax_behavior": "exclusive",
      "tax_breakdown": [],
      "tax_enabled": false,
      "tax_label": null,
      "tax_status": "disabled",
      "total_amount": 2900,
      "total_savings_amount": 0,
      "trial_amount": 0,
      "upsells_expire_at": null,
      "billing_address": null,
      "current_payment_intent": null,
      "current_upsell": null,
      "invoice": null,
      "last_click": null,
      "customer": "68f80327-6c13-4fb1-962a-d5f26fa18d59",
      "discount": null,
      "geo_address": null,
      "manual_payment_method": null,
      "order": null,
      "payment_method": null,
      "inherited_billing_address": null,
      "inherited_shipping_address": null,
      "inherited_tax_identifier": null,
      "referral": null,
      "shipping_address": null,
      "tax_identifier": null,
      "selected_shipping_choice": null,
      "upsell_funnel": null,
      "created_at": 1782485812,
      "updated_at": 1782485812
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

customer_ids[]
string[]

Only return objects that belong to the given customers.

group_keys[]
string[]

Only return objects with the given group keys.

ids[]
string[]

Only return objects with the given IDs.

limit
integer

A limit on the number of items to be returned, between 1 and 100.

live_mode
boolean

Only return objects that are live mode or test mode.

page
integer

The page of items you want returned.

product_ids[]
string[]

Only return objects that belong to the given products.

status[]
string[]

Only return objects with the given status.

Response

200 - application/json

Success

object
string

A string describing the object type returned.

pagination
object
data
array

An array of objects.